/*============== Start header ================*/
header {
    transition: all 0.3s ease;
    z-index: 999    ;
}
header .navbar {
	--bs-navbar-padding-x: calc(var(--bs-gutter-x) * .5);
	--bs-navbar-padding-y: 0;
	--bs-navbar-brand-padding-y: 0;
	--bs-navbar-brand-margin-end: 0;
	--bs-navbar-nav-link-padding-x: 0.5em;
}

header .navbar-brand {
    max-width: 6em;
}
header .navbar-nav {
    --bs-nav-link-padding-y: 0;
    --bs-nav-link-color: var(--bs-light);
    --bs-nav-link-hover-color: var(--bs-primary);
}
header .navbar-nav .current-menu-item > .nav-link {
    color: var(--bs-nav-link-hover-color);
}
.home header.is-sticky {
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--bs-black);
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);    
    transition: all 0.3s ease;
}

body:not(.home) header {
    position: sticky !important;
    background: var(--bs-black);
}

body:not(.home) header:not(.is-sticky):before {
    content: "";
    background-image: url(/wp-content/uploads/2026/04/border-bottom-black.svg);
    width: 100%;
    height: 1em;
    position: absolute;
    bottom: -4px;
    left: 0;
    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: cover;
}


/* Scroll ke baad sticky */
header.is-sticky {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #000; /* client ne black nav bola */
  box-shadow: 0 2px 10px rgba(0,0,0,0.2);
  z-index: 999;
}

header .navbar-nav > li > .nav-link {
    position: relative;
}

header .navbar-nav > li > .nav-link:before {
    content: "";
    background-image: url(https://sandybrown-moose-621786.hostingersite.com/wp-content/uploads/2026/04/Nav-Underline_CATERING.svg);
    width: 100%;
    height: 14px;
    position: absolute;
    bottom: -3px;
    background-size: 100%;
    background-repeat: no-repeat;
    left: 0;
    opacity: 0;
}
header .navbar-nav > li:hover > .nav-link:before{
    opacity: 1;
}

/*============== End header ================*/

/*============== Start home banner ================*/
.home-banner {
    background-image: url(../images/banner-images.png);
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
    background-attachment: fixed;
}
.home-banner:after {
    background: rgb(0 0 0 / 43%);
    position: absolute;
    inset: 0;
    content: "";
    z-index: 0;
}
.home-banner .container {
    min-height: 78vw;
    position: relative;
    z-index: 1;
}

.banner-logo {
    width: 40vw;
    top: -7em;
    position: relative;
}
.banner-bottom {
    bottom: -3.5vw;
    z-index: 1;
}
.banner-bottom-logo {
    width: 40%;
    bottom: -6vw;
}


/*============== End home banner ================*/

/*============== Start home-our-mission ================*/
.home-our-mission {
    margin-top: 10vw;
    padding-top: 1px;
}
.home-our-mission .row {
    margin-top: calc(var(--bs-space-mini) * 4);
    background-image: url(../images/border-horizontal-primary.svg);
    background-size: 70%;
    background-repeat: repeat-x;
    background-position: bottom center;
}
.home-our-mission .row:before ,
.home-our-mission .row:after {
    content: "";
    background-image: url(../images/border-vertical-primary.svg);
    background-size: 10px;
    background-repeat: repeat-y;
    background-position: left top;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    bottom: 0;
    z-index: -1;
}
.home-our-mission .row:before {
	left: auto;
	right: 0;
	background-position: right top;
}
.home-our-mission .container:before {
    content: "";
    background-image: url(../images/border-horizontal-primary.svg);
    background-size: 100%;
    background-repeat: repeat-x;
    background-position: top right;
    width: 58%;
    position: absolute;
    z-index: -1;
    height: 100%;
    right: calc(var(--bs-gutter-x) * .5);
}


.home-our-mission .col-left {
    width: calc(50% + calc(var(--bs-space-mini) * 1.8));
    margin-left: calc(var(--bs-space-mini) * -1.8);
    padding-right: var(--bs-space-mini);
    margin-top: calc(var(--bs-space-mini) * -4);
    padding-bottom: calc(var(--bs-space-mini) / 1.8);
}

.home-our-mission .col-right {
    margin-bottom: -3rem;
}
.home-our-mission .col-left figure {
    position: relative;
    z-index: 1;
}

.home-our-mission .col-left figure:before {content: "";background: var(--bs-light);position: absolute;left: 0;top: 0;width: calc(100% - 5rem);height: 100%;z-index: -1;}

/*============== End home-our-mission ================*/


/*============== Start home-take-btn ================*/
.home-take-btn:before {
    content: "";
    background-image: url(../images/border-top-primary.svg);
    width: 100%;
    position: absolute;
    height: 10px;
    top: -9px;
    background-size: contain;
    background-repeat: repeat-x;
    left: 0;
    background-position: center bottom;
}
.home-take-btn:after {
	content: "";
    background-image: url(../images/border-bottom-primary.svg);
    width: 100%;
    position: absolute;
    height: 10px;
    bottom: -10px;
    background-size: contain;
    background-repeat: repeat-x;
    left: 0;
    background-position: center top;
}
.home-take-btn ul {
    gap: 0.7em;
}
.home-take-btn .title span {
    margin-right: -0.45em;
}

.home-take-btn ul a {
    padding: 0.35em 0.6em;
}

/*============== Start home-take-btn ================*/


/*============== Start Common css ================*/
.common-open-time:after {
    content: "";
    background-image: url(../images/border-bottom-black.svg);
    width: 100%;
    position: absolute;
    height: 10px;
    bottom: -10px;
    background-size: contain;
    background-repeat: repeat-x;
    left: 0;
    background-position: center top;
}

.common-contact-form .inner-container {
    max-width: 910px;
}

.common-contact-form .col-right figure {
    min-width: 22.5rem;
    right: -3rem;
    position: relative;
}
.common-contact-form .form-control {
    --bs-border-radius: 0;
    --bs-body-color: var(--bs-light);
    background: transparent !important;
    outline: 0px !important;
    box-shadow: none !important;
    border-color: var(--bs-light) !important;
    font-size: 1em;
    padding: .7em 1em;
    color: white;
    letter-spacing: 2.5px;
    border-radius: 0;
}
.common-contact-form ::placeholder {
  color: var(--bs-light);
  opacity: 1;
}

.common-contact-form ::-webkit-input-placeholder {
  color: var(--bs-light);
}

.common-contact-form :-ms-input-placeholder {
  color: var(--bs-light);
}

.common-contact-form .title .span-2 {
    margin-left: -0.4em;
}
.common-contact-form .title .span-3 {
    top: 0.5em;
    margin-inline: -0.3em;
}
.common-contact-form .heading-wrap {
    margin-bottom: -2rem !important;
}

.common-contact-form .heading-wrap .title {
    font-size: 6rem;
}

.common-contact-form .title .span-2, .common-contact-form .title .span-3 {
    font-size: 1em;
}
/*============== End Common css ================*/

/*============== Start footer ================*/
.footer-right figure {
    max-width: 390px;
    margin-right: 0 !important;
}
.footer-main {
    --bs-link-color-rgb: var(--bs-secondary);
}
footer .ft-phone {
    letter-spacing: 4px;
}

footer .ft-address {
    letter-spacing: 2px;
}
ul#menu-footer-menu > li {
    font-size: 1.5rem;
}
/*============== End footer ================*/

.common-contact-form .custom-textarea {
    height: 159px;
}
.common-contact-form  .wpcf7-submit {
    padding: 0.5em 1em !important;
    border-radius: 0;
    box-shadow: none;
    --bs-text-opacity: 1;
    color: var(--bs-primary);
    font-family: var(--bs-pearson-stamp);
    font-size: 2em;
    background: rgba(var(--bs-light-rgb), var(--bs-text-opacity)) !important;
    border: 0;
    margin-top: 1em;
    letter-spacing: 2px;
}

.common-contact-form span.wpcf7-spinner {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}



/*  */

.catering-block .heading-wrap {
    margin-bottom: -3.5em;
    position: relative;
    z-index: 9;
}

.catering-block .heading-wrap .sub-text {
    background: #ddd8d4;
    padding: 0 0.6em;
}